Bug 501067 - Segfault in libselinux when quitting QtRuby-based app
Segfault in libselinux when quitting QtRuby-based app
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kdebindings (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-15 15:27 EDT by Gaspard Jankowiak
Modified: 2009-06-28 20:21 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-28 20:21:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gaspard Jankowiak 2009-05-15 15:27:35 EDT
User-Agent:       Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.0.10) Gecko/2009042708 Fedora/3.0.10-1.fc10 Firefox/3.0.10

I have tried to use Qt-Ruby bindings to make a small app, using the 'QtRuby' package. Even with a very simple application, a segfault occurs in libselinux selinux whenever I quit the application (Programmatically or using the Close button)


Reproducible: Always

Steps to Reproduce:
1. Install ruby and QtRuby
2. Write a small app :

require 'Qt'
app = Qt::Application.new(ARGV)
b = Qt::MainWindow.new()
b.show()
app.exec()

3. ruby <file>
4. quit application (Alt-F4 or close button)
Actual Results:  
Selinux segfaults

Expected Results:  
Nothing wrong

Backtrace :
Program received signal SIGSEGV, Segmentation fault.
0x00007ffff722a88d in ?? () from /lib64/libselinux.so.1
(gdb) bt
#0  0x00007ffff722a88d in ?? () from /lib64/libselinux.so.1
#1  0x00007ffff721d29f in selinux_file_context_cmp () from /lib64/libselinux.so.1
#2  0x0000000000000000 in ?? (
Comment 1 Daniel Walsh 2009-05-16 08:18:39 EDT
This means that QT-Ruby most likely has a memory problem.

libselinux is just freeing memory in its destructor that it allocated when it started.  Somehow qt-ruby has overridden this memory.  libselinux is used in thousands of applications and this code executes cleanly in all of them.  But we have seen several apps with memory problems have problems with libselinux cleaning up after itself in the destrutor.
Comment 2 Steven M. Parrish 2009-05-30 22:47:55 EDT
Thank you for the report.  This is an issue that needs to be addressed by the
upstream developers.  Please report this upstream at http://bugs.kde.org  and
add the upstream information to this report.
Comment 3 Steven M. Parrish 2009-06-28 20:21:05 EDT
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.